GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

          • Get Organization Details
          • Batch Get Organization Details
          • Get Organization List
          • Create Organization
          • Update Organization
          • Delete Organization
          • Search Organization List
          • Get Department Info
          • Create Department
          • Update Department
          • Delete Department
          • Search Departments
          • Get Child Department List
          • Get Department Member List
          • Get Department Direct Member ID List
          • Search Department Members
          • Add Department Members
          • Remove Department Members
          • Get Parent Department Info
          • Check if User is in Department
        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Organization Management

  10. /
  11. Update Department

¶ Modify department

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

You can set various parameters by modifying the department through the organization code and department ID.

¶ Method name

ManagementClient.update_department

¶ Request parameters

NameType
Required
Default value
Description
Sample value
metadataobjectYes-Metadata information
departmentIdstringyes-Department system ID (generated automatically by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
organizationCodestringyes-Organization Code (organizationCode)steamory
leaderUserIdsstring[]no-Department head ID["60b49eb83fd80adb96f26e68"]
descriptionstringno-Department descriptionTechnical R&D Department
codestringno-Department identification code6229c4deb3e4d8a20b6021ff
i18nDepartmentI18nDtono-Multilingual settings{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
statusbooleanno-Department statusfalse
namestringno-Department nameDevelopment Department
departmentIdTypestringnodepartment_idThe type of department ID used in this calldepartment_id
parentDepartmentIdstringno-Parent department id. If it is the root department, pass root6229c4deb3e4d8a20b6021ff
customDataobjectno-Custom data. The key in the passed object must first define the relevant custom field in the user pool{"icon":"https://example.com/icon"}
postIdListstring[]no-Post id list["xxx"]
tenantIdstringno-tenant ID623c20b2a062aaaaf41b17da

¶ Request Response

Type: DepartmentSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataDepartmentDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
    "name": "RD",
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "description": "RD DESC",
    "parentDepartmentId": "6229c4deb3e4d8a20b6021ff",
    "code": "6229c4deb3e4d8a20b6021ff",
    "parentDepartmentCode": "test",
    "membersCount": 11,
    "hasChildren": true,
    "i18n": {
      "name": {
        "zh-CN": {
          "enabled": false,
          "value": "中文"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        }
      }
    },
    "customData": {
      "icon": "https://example.com/logo"
    },
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

¶ Data Structure

¶ DepartmentI18nDto

NameType
Is it required?
Description
Sample value
nameYesMulti-language-supported fields Nested type: LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

¶ LangObject

NameType
Is it required?
Description
Sample value
zh-CNYesMultilingual Chinese content Nested type: LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: LangUnit.{"enabled":false,"value":"日本語"}

¶ LangUnit

NameType
Is it required?
Description
Sample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content

¶ DepartmentDto

NameType
Is it required?
Description
Sample value
organizationCodestringYesOrganization Code (organizationCode)steamory
departmentIdstringYesDepartment system ID (automatically generated by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
createdAtstringYesDepartment creation time2022-07-03T03:20:30.000Z
updatedAtstringNoModification time2022-07-03T03:20:30.000Z
openDepartmentIdstringNoCustom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
namestringYesDepartment nameDevelopment Department
leaderUserIdsarrayNoDepartment head ID["60b49eb83fd80adb96f26e68"]
descriptionstringNoDepartment descriptionTechnical R&D Department
parentDepartmentIdstringYesParent department ID, if it is the root department, pass root6229c4deb3e4d8a20b6021ff
codestringNoDepartment identification code6229c4deb3e4d8a20b6021ff
parentDepartmentCodestringyesparent department codetest
membersCountnumberyesnumber of department members (only direct members)11
hasChildrenbooleanyeswhether to include child departmentstrue
isVirtualNodebooleanNoIs it a virtual department?
i18nNoMulti-language settings Nested type: DepartmentI18nDto.{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of the department{"icon":"https://example.com/logo"}
postsarrayNoPositions associated with the department
postIdListarrayNoPosition id list["xxx"]
statusbooleanNoDepartment statusfalse
allowstringNoAccess restrictions["xxx"]

¶ DepartmentI18nDto

NameType
Is it required?
Description
Sample value
nameYesMulti-language-supported fields Nested type: LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

¶ LangObject

NameType
Is it required?
Description
Sample value
zh-CNYesMultilingual Chinese content Nested type: LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: LangUnit.{"enabled":false,"value":"日本語"}

¶ LangUnit

NameType
Is it required?
Description
Sample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content
Previous article: Create Department Next article: Delete Department
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.